> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# User's Tweets

> This endpoint return a list of user's tweets given a username



## OpenAPI

````yaml /openapi/x.openapi.json get /v1/data/x/user/tweets
openapi: 3.0.0
info:
  title: agntdata X (Twitter) API
  description: >-
    Introducing "The Old Bird" API, a robust Twitter API designed to unlock
    valuable Twitter data effortlessly. With this API, you can access tweet
    details, user followers, followings, post engagements, and more. Explore
    top, latest, videos, photos, and people through our comprehensive search
    functionality. Retrieve user-specific information, including tweets,
    replies, media, likes, and profile details by username or ID.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Search
    description: ''
  - name: Hashtag
    description: ''
  - name: Tweet
    description: ''
  - name: Lists
    description: ''
  - name: Trends
    description: ''
  - name: Translation
    description: Translate Service
  - name: AI
    description: A set of AI related services
paths:
  /v1/data/x/user/tweets:
    get:
      tags:
        - User
      summary: User's Tweets
      description: This endpoint return a list of user's tweets given a username
      operationId: User_s_Tweets_get__user_tweets
      parameters:
        - name: include_pinned
          in: query
          required: false
          schema:
            type: boolean
            default: 'false'
        - name: limit
          in: query
          required: false
          schema:
            type: number
            default: '40'
        - name: user_id
          in: query
          required: false
          schema:
            type: string
            default: '44196397'
        - name: include_replies
          in: query
          required: false
          schema:
            type: boolean
            default: 'false'
        - name: username
          in: query
          required: false
          schema:
            type: string
            default: elonmusk
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_x_user_tweets_Response'
              example:
                results:
                  - tweet_id: '1925092616200147287'
                    creation_date: Wed May 21 07:33:40 +0000 2025
                    text: Now that’s a real generator!
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '177101260'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 95613
                    retweet_count: 10693
                    reply_count: 4509
                    quote_count: 391
                    retweet: false
                    views: 22040880
                    timestamp: 1747812820
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: '1925046392726413436'
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925092616200147287'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 8666
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925092309722386887'
                    creation_date: Wed May 21 07:32:27 +0000 2025
                    text: >-
                      🇺🇸 ELON: WE'RE NOT GONNA SEND MONEY TO D.C. GRAFTERS AND
                      WARLORDS


                      "We just wanna see the evidence. That the program was
                      doing—actually doing—good, and not just funding graft in
                      DC and warlords in some country. 


                      Because over and over again we saw these
                      sympathetic-sounding programs, right? 


                      But when we actually said, 'Well, please show us, show us
                      pictures of the recipients of the aid,' we just—or let us
                      get into contact with them.


                      No pictures were forthcoming. 


                      They didn't give us any contact information. 


                      And we're like, look, we're not gonna send money to DC
                      grafters and warlords. 


                      That's not a good use of money."


                      Source: CNBC
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '1319287761048723458'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category:
                        name: Investment Company
                        id: 199
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: art
                    favorite_count: 26785
                    retweet_count: 6102
                    reply_count: 1647
                    quote_count: 89
                    retweet: false
                    views: 6444705
                    timestamp: 1747812747
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: '1924978450349310451'
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925092309722386887'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 591
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925089692673851595'
                    creation_date: Wed May 21 07:22:03 +0000 2025
                    text: Texas is the maker state
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '44196397'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 6273
                    retweet_count: 978
                    reply_count: 571
                    quote_count: 41
                    retweet: false
                    views: 6772467
                    timestamp: 1747812123
                    video_view_count: null
                    in_reply_to_status_id: '1925089021710983421'
                    quoted_status_id: null
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925089021710983421'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 105
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925089156138418660'
                    creation_date: Wed May 21 07:19:55 +0000 2025
                    text: >-
                      UNITED AIRLINES GOES ALL-IN ON STARLINK—FULL FLEET UPGRADE
                      BY 2026


                      United Airlines is aiming high—every one of its 300
                      regional jets will be rocking Starlink internet by 2026!


                      Rollout begins in May, following FAA approval for its
                      first Starlink-equipped aircraft.


                      •⁠  ⁠Free Wi-Fi at 35,000 Feet – MileagePlus members get
                      blazing-fast internet with zero fees. 


                      •⁠  ⁠50x Faster Speeds – Stream, shop, and game like
                      you’re on the ground. 


                      •⁠  ⁠Full-Throttle Rollout – 40 aircraft a month will join
                      the Starlink fleet.


                      This is just the beginning—United Airlines is taking off
                      into a new era of connectivity!


                      Source: NY Post
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '1319287761048723458'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category:
                        name: Investment Company
                        id: 199
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 24614
                    retweet_count: 3406
                    reply_count: 1140
                    quote_count: 74
                    retweet: false
                    views: 6083981
                    timestamp: 1747811995
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: '1925086658288091493'
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925089156138418660'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 359
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925086721319874935'
                    creation_date: Wed May 21 07:10:15 +0000 2025
                    text: >-
                      🇺🇸 ELON: LEGACY MEDIA PUSHES FALSE NARRATIVES


                      "What I've learned is that legacy media propaganda is very
                      effective at making people believe things that aren't true
                      — like that I'm a Nazi, for example.


                      How many legacy media outlets, publications, talk shows —
                      whatever — tried to claim I was a Nazi because of some
                      random hand gesture at a rally where all I said was that
                      my heart goes out to you, and I was talking about space
                      travel."


                      Source: CNBC, @elonmusk
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '1319287761048723458'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category:
                        name: Investment Company
                        id: 199
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 37547
                    retweet_count: 7795
                    reply_count: 2147
                    quote_count: 136
                    retweet: false
                    views: 7436224
                    timestamp: 1747811415
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: '1924938180035264816'
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925086721319874935'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 1005
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925085505722445827'
                    creation_date: Wed May 21 07:05:25 +0000 2025
                    text: >-
                      🇺🇸 ELON: OPTIMUS WILL BE THE BIGGEST PRODUCT OF ALL TIME


                      "The only company with all the ingredients for making
                      intelligent humanoid robots at scale is Tesla. 


                      This is a super big deal. 


                      My prediction on this front is that Optimus will be the
                      biggest product of all time by far. 


                      Nothing will even be close. 


                      I think it will be ten times bigger than the next biggest
                      product ever made. 


                      Like that level."


                      Source: @Tesla
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '1319287761048723458'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category:
                        name: Investment Company
                        id: 199
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 23516
                    retweet_count: 3899
                    reply_count: 1759
                    quote_count: 146
                    retweet: false
                    views: 5421141
                    timestamp: 1747811125
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: '1925059706676027523'
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925085505722445827'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 767
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925084238082134171'
                    creation_date: Wed May 21 07:00:23 +0000 2025
                    text: Insatiable
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '243013409'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 31361
                    retweet_count: 4046
                    reply_count: 2030
                    quote_count: 143
                    retweet: false
                    views: 12332313
                    timestamp: 1747810823
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: '1924934974890746305'
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925084238082134171'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 1202
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925059060572803331'
                    creation_date: Wed May 21 05:20:20 +0000 2025
                    text: https://t.co/UaJEcSKWqk
                    media_url:
                      - >-
                        https://pbs.twimg.com/amplify_video_thumb/1880267224390467584/img/mObK3U96sqds5QgD.jpg
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '44196397'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: zxx
                    favorite_count: 81734
                    retweet_count: 8190
                    reply_count: 3555
                    quote_count: 479
                    retweet: false
                    views: 7591717
                    timestamp: 1747804820
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: null
                    binding_values: null
                    expanded_url: https://x.com/cb_doge/status/1880267300378730811/video/1
                    retweet_tweet_id: null
                    extended_entities:
                      media:
                        - display_url: pic.x.com/UaJEcSKWqk
                          expanded_url: >-
                            https://x.com/cb_doge/status/1880267300378730811/video/1
                          id_str: '1880267224390467584'
                          indices:
                            - 0
                            - 23
                          media_key: '13_1880267224390467584'
                          media_url_https: >-
                            https://pbs.twimg.com/amplify_video_thumb/1880267224390467584/img/mObK3U96sqds5QgD.jpg
                          source_status_id_str: '1880267300378730811'
                          source_user_id_str: '1389913567671975937'
                          type: video
                          url: https://t.co/UaJEcSKWqk
                          additional_media_info:
                            monetizable: false
                            source_user:
                              user_results:
                                result:
                                  __typename: User
                                  id: VXNlcjoxMzg5OTEzNTY3NjcxOTc1OTM3
                                  rest_id: '1389913567671975937'
                                  affiliates_highlighted_label:
                                    label:
                                      url:
                                        url: https://twitter.com/MyDoge
                                        urlType: DeepLink
                                      badge:
                                        url: >-
                                          https://pbs.twimg.com/profile_images/1656530956801523719/SC7nEKMa_bigger.png
                                      description: MyDoge
                                      userLabelType: BusinessLabel
                                      userLabelDisplayType: Badge
                                  has_graduated_access: true
                                  is_blue_verified: true
                                  profile_image_shape: Circle
                                  legacy:
                                    can_dm: true
                                    can_media_tag: false
                                    created_at: Wed May 05 12:03:43 +0000 2021
                                    default_profile: true
                                    default_profile_image: false
                                    description: ''
                                    entities:
                                      description:
                                        urls: []
                                    fast_followers_count: 0
                                    favourites_count: 104456
                                    followers_count: 1457413
                                    friends_count: 951
                                    has_custom_timelines: true
                                    is_translator: false
                                    listed_count: 5055
                                    location: ''
                                    media_count: 26344
                                    name: DogeDesigner
                                    normal_followers_count: 1457413
                                    pinned_tweet_ids_str:
                                      - '1821687464974860662'
                                    possibly_sensitive: false
                                    profile_banner_url: >-
                                      https://pbs.twimg.com/profile_banners/1389913567671975937/1711058670
                                    profile_image_url_https: >-
                                      https://pbs.twimg.com/profile_images/1498070100393754625/C2V-fbll_normal.jpg
                                    profile_interstitial_type: ''
                                    screen_name: cb_doge
                                    statuses_count: 48385
                                    translator_type: none
                                    verified: false
                                    want_retweets: false
                                    withheld_in_countries: []
                                  professional:
                                    rest_id: '1463329767675944960'
                                    professional_type: Creator
                                    category: []
                                  tipjar_settings:
                                    is_enabled: true
                                  super_follow_eligible: true
                          ext_media_availability:
                            status: Available
                          sizes:
                            large:
                              h: 720
                              w: 720
                              resize: fit
                            medium:
                              h: 720
                              w: 720
                              resize: fit
                            small:
                              h: 680
                              w: 680
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 720
                            width: 720
                            focus_rects: []
                          allow_download_status:
                            allow_download: true
                          video_info:
                            aspect_ratio:
                              - 1
                              - 1
                            duration_millis: 26093
                            variants:
                              - content_type: application/x-mpegURL
                                url: >-
                                  https://video.twimg.com/amplify_video/1880267224390467584/pl/dESkLa7xcmkOF_e8.m3u8?tag=16&v=cfc
                              - bitrate: 432000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1880267224390467584/vid/avc1/320x320/gsSuKrs1Yjnuz4Jo.mp4?tag=16
                              - bitrate: 832000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1880267224390467584/vid/avc1/540x540/swnu8oCeH4gBiM6x.mp4?tag=16
                              - bitrate: 1280000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1880267224390467584/vid/avc1/720x720/8lj-QzxVN3uz_Arg.mp4?tag=16
                          media_results:
                            result:
                              media_key: '13_1880267224390467584'
                    conversation_id: '1925059060572803331'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 2286
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925058281434652992'
                    creation_date: Wed May 21 05:17:14 +0000 2025
                    text: Not often that new cities are made these days
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '1917716982465716227'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 44978
                    retweet_count: 4128
                    reply_count: 1945
                    quote_count: 161
                    retweet: false
                    views: 17795379
                    timestamp: 1747804634
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: '1924956616077492578'
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: null
                    extended_entities: null
                    conversation_id: '1925058281434652992'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 818
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925057960021049481'
                    creation_date: Wed May 21 05:15:58 +0000 2025
                    text: >-
                      If chatbots were human, grok would be the only one I'd
                      want to hang out with https://t.co/0etqE1FVyZ
                    media_url:
                      - https://pbs.twimg.com/media/GrcpeKfbIAAwk3m.jpg
                      - https://pbs.twimg.com/media/GrcpeKiaEAAcPDe.jpg
                      - https://pbs.twimg.com/media/GrcpeKjbUAAaCcC.jpg
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '44196397'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 2450
                    retweet_count: 480
                    reply_count: 194
                    quote_count: 16
                    retweet: true
                    views: 87
                    timestamp: 1747803369
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: null
                    binding_values: null
                    expanded_url: >-
                      https://x.com/anammostarac/status/1925052973996265733/photo/1
                    retweet_tweet_id: '1925052973996265733'
                    extended_entities:
                      media:
                        - display_url: pic.x.com/0etqE1FVyZ
                          expanded_url: >-
                            https://x.com/anammostarac/status/1925052973996265733/photo/1
                          id_str: '1925052963913146368'
                          indices:
                            - 77
                            - 100
                          media_key: '3_1925052963913146368'
                          media_url_https: https://pbs.twimg.com/media/GrcpeKfbIAAwk3m.jpg
                          type: photo
                          url: https://t.co/0etqE1FVyZ
                          ext_media_availability:
                            status: Available
                          features:
                            large:
                              faces:
                                - x: 46
                                  'y': 63
                                  h: 69
                                  w: 69
                                - x: 392
                                  'y': 931
                                  h: 142
                                  w: 142
                            medium:
                              faces:
                                - x: 28
                                  'y': 38
                                  h: 42
                                  w: 42
                                - x: 238
                                  'y': 566
                                  h: 86
                                  w: 86
                            small:
                              faces:
                                - x: 15
                                  'y': 21
                                  h: 23
                                  w: 23
                                - x: 135
                                  'y': 321
                                  h: 48
                                  w: 48
                            orig:
                              faces:
                                - x: 46
                                  'y': 63
                                  h: 69
                                  w: 69
                                - x: 392
                                  'y': 931
                                  h: 142
                                  w: 142
                          sizes:
                            large:
                              h: 1971
                              w: 1319
                              resize: fit
                            medium:
                              h: 1200
                              w: 803
                              resize: fit
                            small:
                              h: 680
                              w: 455
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 1971
                            width: 1319
                            focus_rects:
                              - x: 0
                                'y': 1232
                                w: 1319
                                h: 739
                              - x: 0
                                'y': 652
                                w: 1319
                                h: 1319
                              - x: 0
                                'y': 467
                                w: 1319
                                h: 1504
                              - x: 0
                                'y': 0
                                w: 986
                                h: 1971
                              - x: 0
                                'y': 0
                                w: 1319
                                h: 1971
                          media_results:
                            result:
                              media_key: '3_1925052963913146368'
                        - display_url: pic.x.com/0etqE1FVyZ
                          expanded_url: >-
                            https://x.com/anammostarac/status/1925052973996265733/photo/1
                          id_str: '1925052963929935872'
                          indices:
                            - 77
                            - 100
                          media_key: '3_1925052963929935872'
                          media_url_https: https://pbs.twimg.com/media/GrcpeKjbUAAaCcC.jpg
                          type: photo
                          url: https://t.co/0etqE1FVyZ
                          ext_media_availability:
                            status: Available
                          features:
                            large:
                              faces: []
                            medium:
                              faces: []
                            small:
                              faces: []
                            orig:
                              faces: []
                          sizes:
                            large:
                              h: 1655
                              w: 1320
                              resize: fit
                            medium:
                              h: 1200
                              w: 957
                              resize: fit
                            small:
                              h: 680
                              w: 542
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 1655
                            width: 1320
                            focus_rects:
                              - x: 0
                                'y': 0
                                w: 1320
                                h: 739
                              - x: 0
                                'y': 0
                                w: 1320
                                h: 1320
                              - x: 0
                                'y': 0
                                w: 1320
                                h: 1505
                              - x: 0
                                'y': 0
                                w: 828
                                h: 1655
                              - x: 0
                                'y': 0
                                w: 1320
                                h: 1655
                          media_results:
                            result:
                              media_key: '3_1925052963929935872'
                        - display_url: pic.x.com/0etqE1FVyZ
                          expanded_url: >-
                            https://x.com/anammostarac/status/1925052973996265733/photo/1
                          id_str: '1925052963925659648'
                          indices:
                            - 77
                            - 100
                          media_key: '3_1925052963925659648'
                          media_url_https: https://pbs.twimg.com/media/GrcpeKiaEAAcPDe.jpg
                          type: photo
                          url: https://t.co/0etqE1FVyZ
                          ext_media_availability:
                            status: Available
                          features:
                            large:
                              faces: []
                            medium:
                              faces: []
                            small:
                              faces: []
                            orig:
                              faces: []
                          sizes:
                            large:
                              h: 1086
                              w: 1320
                              resize: fit
                            medium:
                              h: 987
                              w: 1200
                              resize: fit
                            small:
                              h: 559
                              w: 680
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 1086
                            width: 1320
                            focus_rects:
                              - x: 0
                                'y': 192
                                w: 1320
                                h: 739
                              - x: 216
                                'y': 0
                                w: 1086
                                h: 1086
                              - x: 283
                                'y': 0
                                w: 953
                                h: 1086
                              - x: 488
                                'y': 0
                                w: 543
                                h: 1086
                              - x: 0
                                'y': 0
                                w: 1320
                                h: 1086
                          media_results:
                            result:
                              media_key: '3_1925052963925659648'
                    conversation_id: '1925057960021049481'
                    retweet_status:
                      tweet_id: '1925052973996265733'
                      creation_date: Wed May 21 04:56:09 +0000 2025
                      text: >-
                        If chatbots were human, grok would be the only one I'd
                        want to hang out with https://t.co/0etqE1FVyZ
                      media_url:
                        - https://pbs.twimg.com/media/GrcpeKfbIAAwk3m.jpg
                        - https://pbs.twimg.com/media/GrcpeKiaEAAcPDe.jpg
                        - https://pbs.twimg.com/media/GrcpeKjbUAAaCcC.jpg
                      video_url: null
                      user:
                        creation_date: Sun Oct 12 03:08:56 +0000 2014
                        user_id: '2852570664'
                        username: anammostarac
                        name: Ana Mostarac
                        follower_count: 77624
                        following_count: 775
                        favourites_count: 69034
                        is_private: null
                        is_verified: false
                        is_blue_verified: true
                        location: ''
                        profile_pic_url: >-
                          https://pbs.twimg.com/profile_images/1826424712534065152/czcxxj8w_normal.jpg
                        profile_banner_url: >-
                          https://pbs.twimg.com/profile_banners/2852570664/1672488884
                        description: ''
                        external_url: null
                        number_of_tweets: 9558
                        bot: false
                        timestamp: 1413083336
                        has_nft_avatar: false
                        category: null
                        default_profile: true
                        default_profile_image: false
                        listed_count: 457
                        verified_type: null
                      language: en
                      favorite_count: 2450
                      retweet_count: 480
                      reply_count: 194
                      quote_count: 16
                      retweet: false
                      views: 87
                      timestamp: 1747803369
                      video_view_count: null
                      in_reply_to_status_id: null
                      quoted_status_id: null
                      binding_values: null
                      expanded_url: >-
                        https://x.com/anammostarac/status/1925052973996265733/photo/1
                      retweet_tweet_id: null
                      extended_entities:
                        media:
                          - display_url: pic.x.com/0etqE1FVyZ
                            expanded_url: >-
                              https://x.com/anammostarac/status/1925052973996265733/photo/1
                            id_str: '1925052963913146368'
                            indices:
                              - 77
                              - 100
                            media_key: '3_1925052963913146368'
                            media_url_https: https://pbs.twimg.com/media/GrcpeKfbIAAwk3m.jpg
                            type: photo
                            url: https://t.co/0etqE1FVyZ
                            ext_media_availability:
                              status: Available
                            features:
                              large:
                                faces:
                                  - x: 46
                                    'y': 63
                                    h: 69
                                    w: 69
                                  - x: 392
                                    'y': 931
                                    h: 142
                                    w: 142
                              medium:
                                faces:
                                  - x: 28
                                    'y': 38
                                    h: 42
                                    w: 42
                                  - x: 238
                                    'y': 566
                                    h: 86
                                    w: 86
                              small:
                                faces:
                                  - x: 15
                                    'y': 21
                                    h: 23
                                    w: 23
                                  - x: 135
                                    'y': 321
                                    h: 48
                                    w: 48
                              orig:
                                faces:
                                  - x: 46
                                    'y': 63
                                    h: 69
                                    w: 69
                                  - x: 392
                                    'y': 931
                                    h: 142
                                    w: 142
                            sizes:
                              large:
                                h: 1971
                                w: 1319
                                resize: fit
                              medium:
                                h: 1200
                                w: 803
                                resize: fit
                              small:
                                h: 680
                                w: 455
                                resize: fit
                              thumb:
                                h: 150
                                w: 150
                                resize: crop
                            original_info:
                              height: 1971
                              width: 1319
                              focus_rects:
                                - x: 0
                                  'y': 1232
                                  w: 1319
                                  h: 739
                                - x: 0
                                  'y': 652
                                  w: 1319
                                  h: 1319
                                - x: 0
                                  'y': 467
                                  w: 1319
                                  h: 1504
                                - x: 0
                                  'y': 0
                                  w: 986
                                  h: 1971
                                - x: 0
                                  'y': 0
                                  w: 1319
                                  h: 1971
                            media_results:
                              result:
                                media_key: '3_1925052963913146368'
                          - display_url: pic.x.com/0etqE1FVyZ
                            expanded_url: >-
                              https://x.com/anammostarac/status/1925052973996265733/photo/1
                            id_str: '1925052963929935872'
                            indices:
                              - 77
                              - 100
                            media_key: '3_1925052963929935872'
                            media_url_https: https://pbs.twimg.com/media/GrcpeKjbUAAaCcC.jpg
                            type: photo
                            url: https://t.co/0etqE1FVyZ
                            ext_media_availability:
                              status: Available
                            features:
                              large:
                                faces: []
                              medium:
                                faces: []
                              small:
                                faces: []
                              orig:
                                faces: []
                            sizes:
                              large:
                                h: 1655
                                w: 1320
                                resize: fit
                              medium:
                                h: 1200
                                w: 957
                                resize: fit
                              small:
                                h: 680
                                w: 542
                                resize: fit
                              thumb:
                                h: 150
                                w: 150
                                resize: crop
                            original_info:
                              height: 1655
                              width: 1320
                              focus_rects:
                                - x: 0
                                  'y': 0
                                  w: 1320
                                  h: 739
                                - x: 0
                                  'y': 0
                                  w: 1320
                                  h: 1320
                                - x: 0
                                  'y': 0
                                  w: 1320
                                  h: 1505
                                - x: 0
                                  'y': 0
                                  w: 828
                                  h: 1655
                                - x: 0
                                  'y': 0
                                  w: 1320
                                  h: 1655
                            media_results:
                              result:
                                media_key: '3_1925052963929935872'
                          - display_url: pic.x.com/0etqE1FVyZ
                            expanded_url: >-
                              https://x.com/anammostarac/status/1925052973996265733/photo/1
                            id_str: '1925052963925659648'
                            indices:
                              - 77
                              - 100
                            media_key: '3_1925052963925659648'
                            media_url_https: https://pbs.twimg.com/media/GrcpeKiaEAAcPDe.jpg
                            type: photo
                            url: https://t.co/0etqE1FVyZ
                            ext_media_availability:
                              status: Available
                            features:
                              large:
                                faces: []
                              medium:
                                faces: []
                              small:
                                faces: []
                              orig:
                                faces: []
                            sizes:
                              large:
                                h: 1086
                                w: 1320
                                resize: fit
                              medium:
                                h: 987
                                w: 1200
                                resize: fit
                              small:
                                h: 559
                                w: 680
                                resize: fit
                              thumb:
                                h: 150
                                w: 150
                                resize: crop
                            original_info:
                              height: 1086
                              width: 1320
                              focus_rects:
                                - x: 0
                                  'y': 192
                                  w: 1320
                                  h: 739
                                - x: 216
                                  'y': 0
                                  w: 1086
                                  h: 1086
                                - x: 283
                                  'y': 0
                                  w: 953
                                  h: 1086
                                - x: 488
                                  'y': 0
                                  w: 543
                                  h: 1086
                                - x: 0
                                  'y': 0
                                  w: 1320
                                  h: 1086
                            media_results:
                              result:
                                media_key: '3_1925052963925659648'
                      conversation_id: '1925052973996265733'
                      retweet_status: null
                      quoted_status: null
                      bookmark_count: null
                      source: null
                      community_note: null
                    quoted_status: null
                    bookmark_count: null
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925050052273143948'
                    creation_date: Wed May 21 04:44:32 +0000 2025
                    text: |-
                      The biggest product ever
                       https://t.co/AgmU7AjcDT
                    media_url:
                      - >-
                        https://pbs.twimg.com/amplify_video_thumb/1925047002263588864/img/TzYxTLI_e8w94ms9.jpg
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '44196397'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 138400
                    retweet_count: 18485
                    reply_count: 8353
                    quote_count: 2194
                    retweet: false
                    views: 28149165
                    timestamp: 1747802672
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: null
                    binding_values: null
                    expanded_url: >-
                      https://x.com/Tesla_Optimus/status/1925047336256078302/video/1
                    retweet_tweet_id: null
                    extended_entities:
                      media:
                        - display_url: pic.x.com/AgmU7AjcDT
                          expanded_url: >-
                            https://x.com/Tesla_Optimus/status/1925047336256078302/video/1
                          id_str: '1925047002263588864'
                          indices:
                            - 26
                            - 49
                          media_key: '13_1925047002263588864'
                          media_url_https: >-
                            https://pbs.twimg.com/amplify_video_thumb/1925047002263588864/img/TzYxTLI_e8w94ms9.jpg
                          source_status_id_str: '1925047336256078302'
                          source_user_id_str: '1616163256413863943'
                          type: video
                          url: https://t.co/AgmU7AjcDT
                          additional_media_info:
                            monetizable: false
                            source_user:
                              user_results:
                                result:
                                  __typename: User
                                  id: VXNlcjoxNjE2MTYzMjU2NDEzODYzOTQz
                                  rest_id: '1616163256413863943'
                                  affiliates_highlighted_label:
                                    label:
                                      url:
                                        url: https://twitter.com/Tesla
                                        urlType: DeepLink
                                      badge:
                                        url: >-
                                          https://pbs.twimg.com/profile_images/1337607516008501250/6Ggc4S5n_bigger.png
                                      description: Tesla
                                      userLabelType: BusinessLabel
                                      userLabelDisplayType: Badge
                                  has_graduated_access: true
                                  is_blue_verified: true
                                  profile_image_shape: Square
                                  legacy:
                                    can_dm: false
                                    can_media_tag: true
                                    created_at: Thu Jan 19 20:00:18 +0000 2023
                                    default_profile: true
                                    default_profile_image: false
                                    description: >-
                                      A general purpose, bi-pedal, humanoid
                                      robot capable of performing tasks that are
                                      unsafe, repetitive or boring.
                                    entities:
                                      description:
                                        urls: []
                                      url:
                                        urls:
                                          - display_url: tesla.com/careers/search…
                                            expanded_url: >-
                                              https://www.tesla.com/careers/search/?site=US&query=optimus
                                            url: https://t.co/DTtZTGzP12
                                            indices:
                                              - 0
                                              - 23
                                    fast_followers_count: 0
                                    favourites_count: 15
                                    followers_count: 519935
                                    friends_count: 11
                                    has_custom_timelines: false
                                    is_translator: false
                                    listed_count: 2231
                                    location: ''
                                    media_count: 20
                                    name: Tesla Optimus
                                    normal_followers_count: 519935
                                    pinned_tweet_ids_str: []
                                    possibly_sensitive: false
                                    profile_banner_url: >-
                                      https://pbs.twimg.com/profile_banners/1616163256413863943/1674177214
                                    profile_image_url_https: >-
                                      https://pbs.twimg.com/profile_images/1912258453352972288/EIr76aRp_normal.jpg
                                    profile_interstitial_type: ''
                                    screen_name: Tesla_Optimus
                                    statuses_count: 93
                                    translator_type: none
                                    url: https://t.co/DTtZTGzP12
                                    verified: false
                                    verified_type: Business
                                    want_retweets: false
                                    withheld_in_countries: []
                                  tipjar_settings: {}
                          ext_media_availability:
                            status: Available
                          sizes:
                            large:
                              h: 1152
                              w: 2048
                              resize: fit
                            medium:
                              h: 675
                              w: 1200
                              resize: fit
                            small:
                              h: 383
                              w: 680
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 2160
                            width: 3840
                            focus_rects: []
                          allow_download_status:
                            allow_download: true
                          video_info:
                            aspect_ratio:
                              - 16
                              - 9
                            duration_millis: 66332
                            variants:
                              - content_type: application/x-mpegURL
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/pl/ZaCCUsZ74zu-7qFn.m3u8?tag=21&v=9b8
                              - bitrate: 256000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/480x270/V-Nk2WfLdB31yOD-.mp4?tag=21
                              - bitrate: 832000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/640x360/zXTWVeuMCPVV79sP.mp4?tag=21
                              - bitrate: 2176000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/1280x720/x4dPhSEx6IElRCk4.mp4?tag=21
                              - bitrate: 10368000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/1920x1080/efZk0jOaqqCBGSjd.mp4?tag=21
                              - bitrate: 25128000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/3840x2160/ej1C1phvdtTM6CiK.mp4?tag=21
                          media_results:
                            result:
                              media_key: '13_1925047002263588864'
                    conversation_id: '1925050052273143948'
                    retweet_status: null
                    quoted_status: null
                    bookmark_count: 12250
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925220684621365264'
                    creation_date: Wed May 21 16:02:34 +0000 2025
                    text: I’m not just dancing all day, ok https://t.co/rKs5WwKjvf
                    media_url:
                      - >-
                        https://pbs.twimg.com/amplify_video_thumb/1925047002263588864/img/TzYxTLI_e8w94ms9.jpg
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '44196397'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 18254
                    retweet_count: 3143
                    reply_count: 1130
                    quote_count: 896
                    retweet: true
                    views: 1
                    timestamp: 1747802025
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: null
                    binding_values: null
                    expanded_url: >-
                      https://x.com/Tesla_Optimus/status/1925047336256078302/video/1
                    retweet_tweet_id: '1925047336256078302'
                    extended_entities:
                      media:
                        - display_url: pic.x.com/rKs5WwKjvf
                          expanded_url: >-
                            https://x.com/Tesla_Optimus/status/1925047336256078302/video/1
                          id_str: '1925047002263588864'
                          indices:
                            - 33
                            - 56
                          media_key: '13_1925047002263588864'
                          media_url_https: >-
                            https://pbs.twimg.com/amplify_video_thumb/1925047002263588864/img/TzYxTLI_e8w94ms9.jpg
                          type: video
                          url: https://t.co/rKs5WwKjvf
                          additional_media_info:
                            monetizable: false
                          ext_media_availability:
                            status: Available
                          sizes:
                            large:
                              h: 1152
                              w: 2048
                              resize: fit
                            medium:
                              h: 675
                              w: 1200
                              resize: fit
                            small:
                              h: 383
                              w: 680
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 2160
                            width: 3840
                            focus_rects: []
                          allow_download_status:
                            allow_download: true
                          video_info:
                            aspect_ratio:
                              - 16
                              - 9
                            duration_millis: 66332
                            variants:
                              - content_type: application/x-mpegURL
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/pl/ZaCCUsZ74zu-7qFn.m3u8?tag=21&v=9b8
                              - bitrate: 256000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/480x270/V-Nk2WfLdB31yOD-.mp4?tag=21
                              - bitrate: 832000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/640x360/zXTWVeuMCPVV79sP.mp4?tag=21
                              - bitrate: 2176000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/1280x720/x4dPhSEx6IElRCk4.mp4?tag=21
                              - bitrate: 10368000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/1920x1080/efZk0jOaqqCBGSjd.mp4?tag=21
                              - bitrate: 25128000
                                content_type: video/mp4
                                url: >-
                                  https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/3840x2160/ej1C1phvdtTM6CiK.mp4?tag=21
                          media_results:
                            result:
                              media_key: '13_1925047002263588864'
                    conversation_id: '1925220684621365264'
                    retweet_status:
                      tweet_id: '1925047336256078302'
                      creation_date: Wed May 21 04:33:45 +0000 2025
                      text: I’m not just dancing all day, ok https://t.co/rKs5WwKjvf
                      media_url:
                        - >-
                          https://pbs.twimg.com/amplify_video_thumb/1925047002263588864/img/TzYxTLI_e8w94ms9.jpg
                      video_url: null
                      user:
                        creation_date: Thu Jan 19 20:00:18 +0000 2023
                        user_id: '1616163256413863943'
                        username: Tesla_Optimus
                        name: Tesla Optimus
                        follower_count: 519935
                        following_count: 11
                        favourites_count: 15
                        is_private: null
                        is_verified: false
                        is_blue_verified: true
                        location: ''
                        profile_pic_url: >-
                          https://pbs.twimg.com/profile_images/1912258453352972288/EIr76aRp_normal.jpg
                        profile_banner_url: >-
                          https://pbs.twimg.com/profile_banners/1616163256413863943/1674177214
                        description: >-
                          A general purpose, bi-pedal, humanoid robot capable of
                          performing tasks that are unsafe, repetitive or
                          boring.
                        external_url: >-
                          https://www.tesla.com/careers/search/?site=US&query=optimus
                        number_of_tweets: 93
                        bot: false
                        timestamp: 1674158418
                        has_nft_avatar: false
                        category: null
                        default_profile: true
                        default_profile_image: false
                        listed_count: 2231
                        verified_type: null
                      language: en
                      favorite_count: 18254
                      retweet_count: 3143
                      reply_count: 1130
                      quote_count: 896
                      retweet: false
                      views: 1
                      timestamp: 1747802025
                      video_view_count: null
                      in_reply_to_status_id: null
                      quoted_status_id: null
                      binding_values: null
                      expanded_url: >-
                        https://x.com/Tesla_Optimus/status/1925047336256078302/video/1
                      retweet_tweet_id: null
                      extended_entities:
                        media:
                          - display_url: pic.x.com/rKs5WwKjvf
                            expanded_url: >-
                              https://x.com/Tesla_Optimus/status/1925047336256078302/video/1
                            id_str: '1925047002263588864'
                            indices:
                              - 33
                              - 56
                            media_key: '13_1925047002263588864'
                            media_url_https: >-
                              https://pbs.twimg.com/amplify_video_thumb/1925047002263588864/img/TzYxTLI_e8w94ms9.jpg
                            type: video
                            url: https://t.co/rKs5WwKjvf
                            additional_media_info:
                              monetizable: false
                            ext_media_availability:
                              status: Available
                            sizes:
                              large:
                                h: 1152
                                w: 2048
                                resize: fit
                              medium:
                                h: 675
                                w: 1200
                                resize: fit
                              small:
                                h: 383
                                w: 680
                                resize: fit
                              thumb:
                                h: 150
                                w: 150
                                resize: crop
                            original_info:
                              height: 2160
                              width: 3840
                              focus_rects: []
                            allow_download_status:
                              allow_download: true
                            video_info:
                              aspect_ratio:
                                - 16
                                - 9
                              duration_millis: 66332
                              variants:
                                - content_type: application/x-mpegURL
                                  url: >-
                                    https://video.twimg.com/amplify_video/1925047002263588864/pl/ZaCCUsZ74zu-7qFn.m3u8?tag=21&v=9b8
                                - bitrate: 256000
                                  content_type: video/mp4
                                  url: >-
                                    https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/480x270/V-Nk2WfLdB31yOD-.mp4?tag=21
                                - bitrate: 832000
                                  content_type: video/mp4
                                  url: >-
                                    https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/640x360/zXTWVeuMCPVV79sP.mp4?tag=21
                                - bitrate: 2176000
                                  content_type: video/mp4
                                  url: >-
                                    https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/1280x720/x4dPhSEx6IElRCk4.mp4?tag=21
                                - bitrate: 10368000
                                  content_type: video/mp4
                                  url: >-
                                    https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/1920x1080/efZk0jOaqqCBGSjd.mp4?tag=21
                                - bitrate: 25128000
                                  content_type: video/mp4
                                  url: >-
                                    https://video.twimg.com/amplify_video/1925047002263588864/vid/avc1/3840x2160/ej1C1phvdtTM6CiK.mp4?tag=21
                            media_results:
                              result:
                                media_key: '13_1925047002263588864'
                      conversation_id: '1925047336256078302'
                      retweet_status: null
                      quoted_status: null
                      bookmark_count: null
                      source: null
                      community_note: null
                    quoted_status: null
                    bookmark_count: null
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925046861200592965'
                    creation_date: Wed May 21 04:31:52 +0000 2025
                    text: Deployment of 23 @Starlink satellites confirmed
                    media_url: null
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '44196397'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 5880
                    retweet_count: 784
                    reply_count: 365
                    quote_count: 23
                    retweet: true
                    views: 56
                    timestamp: 1747801562
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: null
                    binding_values: null
                    expanded_url: null
                    retweet_tweet_id: '1925045393307627815'
                    extended_entities: null
                    conversation_id: '1925046861200592965'
                    retweet_status:
                      tweet_id: '1925045393307627815'
                      creation_date: Wed May 21 04:26:02 +0000 2025
                      text: Deployment of 23 @Starlink satellites confirmed
                      media_url: null
                      video_url: null
                      user:
                        creation_date: Thu Apr 23 21:53:30 +0000 2009
                        user_id: '34743251'
                        username: SpaceX
                        name: SpaceX
                        follower_count: 39026648
                        following_count: 121
                        favourites_count: 502
                        is_private: null
                        is_verified: false
                        is_blue_verified: true
                        location: Earth
                        profile_pic_url: >-
                          https://pbs.twimg.com/profile_images/1697749409851985920/HbrI04tM_normal.jpg
                        profile_banner_url: >-
                          https://pbs.twimg.com/profile_banners/34743251/1681251194
                        description: >-
                          SpaceX designs, manufactures and launches the world’s
                          most advanced rockets and spacecraft
                        external_url: http://spacex.com
                        number_of_tweets: 10147
                        bot: false
                        timestamp: 1240523610
                        has_nft_avatar: false
                        category: null
                        default_profile: false
                        default_profile_image: false
                        listed_count: 43301
                        verified_type: null
                      language: en
                      favorite_count: 5880
                      retweet_count: 784
                      reply_count: 365
                      quote_count: 23
                      retweet: false
                      views: 56
                      timestamp: 1747801562
                      video_view_count: null
                      in_reply_to_status_id: null
                      quoted_status_id: null
                      binding_values: null
                      expanded_url: null
                      retweet_tweet_id: null
                      extended_entities: null
                      conversation_id: '1925045393307627815'
                      retweet_status: null
                      quoted_status: null
                      bookmark_count: null
                      source: null
                      community_note: null
                    quoted_status: null
                    bookmark_count: null
                    source: Twitter for iPhone
                    community_note: null
                  - tweet_id: '1925062575449845854'
                    creation_date: Wed May 21 05:34:18 +0000 2025
                    text: "Great work by the\_@usairforce in partnership with\_@DOGE in substantially reducing a wasteful program serviced by external consultants. \n\nThe Air Force Strategic Transformation Support I (\"AFSTS I\") was a $2.75B contract awarded to eight management consulting firms in 2020 to https://t.co/NIImiyKLxX"
                    media_url:
                      - https://pbs.twimg.com/media/GrbVkrHaMAAXmXK.jpg
                      - https://pbs.twimg.com/media/GrbVkrGbIAAyY7f.jpg
                    video_url: null
                    user:
                      creation_date: Tue Jun 02 20:12:29 +0000 2009
                      user_id: '44196397'
                      username: elonmusk
                      name: Kekius Maximus
                      follower_count: 219778502
                      following_count: 1134
                      favourites_count: 147042
                      is_private: null
                      is_verified: false
                      is_blue_verified: true
                      location: ''
                      profile_pic_url: >-
                        https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg
                      profile_banner_url: null
                      description: ''
                      external_url: null
                      number_of_tweets: 78883
                      bot: false
                      timestamp: 1243973549
                      has_nft_avatar: false
                      category: null
                      default_profile: false
                      default_profile_image: false
                      listed_count: 162327
                      verified_type: null
                    language: en
                    favorite_count: 13169
                    retweet_count: 2427
                    reply_count: 560
                    quote_count: 62
                    retweet: true
                    views: 48
                    timestamp: 1747781374
                    video_view_count: null
                    in_reply_to_status_id: null
                    quoted_status_id: null
                    binding_values: null
                    expanded_url: https://x.com/DOGE/status/1924960720950854052/photo/1
                    retweet_tweet_id: '1924960720950854052'
                    extended_entities:
                      media:
                        - display_url: pic.x.com/NIImiyKLxX
                          expanded_url: >-
                            https://x.com/DOGE/status/1924960720950854052/photo/1
                          id_str: '1924960716769140736'
                          indices:
                            - 276
                            - 299
                          media_key: '3_1924960716769140736'
                          media_url_https: https://pbs.twimg.com/media/GrbVkrGbIAAyY7f.jpg
                          type: photo
                          url: https://t.co/NIImiyKLxX
                          ext_media_availability:
                            status: Available
                          features:
                            large:
                              faces: []
                            medium:
                              faces: []
                            small:
                              faces: []
                            orig:
                              faces: []
                          sizes:
                            large:
                              h: 505
                              w: 1126
                              resize: fit
                            medium:
                              h: 505
                              w: 1126
                              resize: fit
                            small:
                              h: 305
                              w: 680
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 505
                            width: 1126
                            focus_rects:
                              - x: 0
                                'y': 0
                                w: 902
                                h: 505
                              - x: 0
                                'y': 0
                                w: 505
                                h: 505
                              - x: 0
                                'y': 0
                                w: 443
                                h: 505
                              - x: 14
                                'y': 0
                                w: 253
                                h: 505
                              - x: 0
                                'y': 0
                                w: 1126
                                h: 505
                          allow_download_status:
                            allow_download: true
                          media_results:
                            result:
                              media_key: '3_1924960716769140736'
                        - display_url: pic.x.com/NIImiyKLxX
                          expanded_url: >-
                            https://x.com/DOGE/status/1924960720950854052/photo/1
                          id_str: '1924960716773273600'
                          indices:
                            - 276
                            - 299
                          media_key: '3_1924960716773273600'
                          media_url_https: https://pbs.twimg.com/media/GrbVkrHaMAAXmXK.jpg
                          type: photo
                          url: https://t.co/NIImiyKLxX
                          ext_media_availability:
                            status: Available
                          features:
                            large:
                              faces: []
                            medium:
                              faces: []
                            small:
                              faces: []
                            orig:
                              faces: []
                          sizes:
                            large:
                              h: 515
                              w: 1025
                              resize: fit
                            medium:
                              h: 515
                              w: 1025
                              resize: fit
                            small:
                              h: 342
                              w: 680
                              resize: fit
                            thumb:
                              h: 150
                              w: 150
                              resize: crop
                          original_info:
                            height: 515
                            width: 1025
                            focus_rects:
                              - x: 52
                                'y': 0
                                w: 920
                                h: 515
                              - x: 255
                                'y': 0
                                w: 515
                                h: 515
                              - x: 286
                                'y': 0
                                w: 452
                                h: 515
                              - x: 383
                                'y': 0
                                w: 258
                                h: 515
                              - x: 0
                                'y': 0
                                w: 1025
                                h: 515
                          allow_download_status:
                            allow_download: true
                          media_results:
                            result:
                              media_key: '3_1924960716773273600'
                    conversation_id: '1925062575449845854'
                    retweet_status:
                      tweet_id: '1924960720950854052'
                      creation_date: Tue May 20 22:49:34 +0000 2025
                      text: "Great work by the\_@usairforce in partnership with\_@DOGE in substantially reducing a wasteful program serviced by external consultants. \n\nThe Air Force Strategic Transformation Support I (\"AFSTS I\") was a $2.75B contract awarded to eight management consulting firms in 2020 to https://t.co/NIImiyKLxX"
                      media_url:
                        - https://pbs.twimg.com/media/GrbVkrHaMAAXmXK.jpg
                        - https://pbs.twimg.com/media/GrbVkrGbIAAyY7f.jpg
                      video_url: null
                      user:
                        creation_date: Wed Nov 13 17:31:44 +0000 2024
                        user_id: '1856751787644260354'
                        username: DOGE
                        name: Department of Government Efficiency
                        follower_count: 4961153
                        following_count: 0
                        favourites_count: 2
                        is_private: null
                        is_verified: false
                        is_blue_verified: true
                        location: ''
                        profile_pic_url: >-
                          https://pbs.twimg.com/profile_images/1856763811186999296/p9VACiBj_normal.jpg
                        profile_banner_url: >-
                          https://pbs.twimg.com/profile_banners/1856751787644260354/1731523627
                        description: The people voted for major reform.
                        external_url: https://www.doge.gov
                        number_of_tweets: 296
                        bot: false
                        timestamp: 1731519104
                        has_nft_avatar: false
                        category: null
                        default_profile: true
                        default_profile_image: false
                        listed_count: 7006
                        verified_type: null
                      language: en
                      favorite_count: 13169
                      retweet_count: 2427
                      reply_count: 560
                      quote_count: 62
                      retweet: false
                      views: 48
                      timestamp: 1747781374
                      video_view_count: null
                      in_reply_to_status_id: null
                      quoted_status_id: null
                      binding_values: null
                      expanded_url: https://x.com/DOGE/status/1924960720950854052/photo/1
                      retweet_tweet_id: null
                      extended_entities:
                        media:
                          - display_url: pic.x.com/NIImiyKLxX
                            expanded_url: >-
                              https://x.com/DOGE/status/1924960720950854052/photo/1
                            id_str: '1924960716769140736'
                            indices:
                              - 276
                              - 299
                            media_key: '3_1924960716769140736'
                            media_url_https: https://pbs.twimg.com/media/GrbVkrGbIAAyY7f.jpg
                            type: photo
[...]
